<?php

/*
 * This file is part of the TomahawkPHP package.
 *
 * (c) Tom Ellis
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Tomahawk\Authentication\User;

/**
 * Class User
 *
 * A simple class to be used by the in memory user provider
 *
 * @package Tomahawk\Authenticationentication\User
 */
final class User implements UserInterface
{
    /**
     * @var string
     */
    private $username;

    /**
     * @var string
     */
    private $password;

    public function __construct($username, $password)
    {
        $this->username = $username;
        $this->password = $password;
    }

    /**
     * Get users username
     *
     * @return string
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * Get users password
     *
     * @return string
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * Get users salt
     *
     * This can return null if password was encoded without a salt
     *
     * @return string|null
     */
    public function getSalt()
    {
        return null;
    }
}
